package com.pokkt.demo.fragments;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;

import com.pokkt.ad.demo.R;
import com.pokkt.demo.utility.FragmentTransactionManager;

public class PokktOutStreamFragment extends BaseFragment {

    private Button btnAdTypeOSScroll, btnAdTypeOSList, btnAdTypeOSWebView;
    public static boolean isAllowClick = true;

    public PokktOutStreamFragment() {
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        isAllowClick = true;
        View rootView = inflater.inflate(R.layout.fragment_pokkt_outstream_ad_type, container, false);

        //OS Scroll
        btnAdTypeOSScroll = (Button) findView(findView(rootView, R.id.btn_ad_type_scroll), R.id.button);

        //OS listview
        btnAdTypeOSList = (Button) findView(findView(rootView, R.id.btn_ad_type_list), R.id.button);

        //OS webview
        btnAdTypeOSWebView = (Button) findView(findView(rootView, R.id.btn_ad_type_webview), R.id.button);


        return rootView;
    }

    @Override
    public void onViewCreated(View view, Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);

        // setup data

        //OS Scroll
        btnAdTypeOSScroll.setText(getString(R.string.txt_btn_ad_type_scroll));
        setFont(btnAdTypeOSScroll);
        btnAdTypeOSScroll.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if(isAllowClick) {
                    isAllowClick = false;
                    openOSScrollShowcase();
                }
            }
        });
        //OS listview
        btnAdTypeOSList.setText(getString(R.string.txt_btn_ad_type_list));
        setFont(btnAdTypeOSList);
        btnAdTypeOSList.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if(isAllowClick) {
                    isAllowClick = false;
                    openOSListViewShowcase();
                }
            }
        });
        //OS webview
        btnAdTypeOSWebView.setText(getString(R.string.txt_btn_ad_type_webview));
        setFont(btnAdTypeOSWebView);
        btnAdTypeOSWebView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if(isAllowClick) {
                    isAllowClick = false;
                    openOSWebViewShowcase();
                }
            }
        });
    }

    private void openOSScrollShowcase() {
        PokktOutStreamScrollFragment fragment = new PokktOutStreamScrollFragment();
        FragmentTransactionManager.addFragmentWithTag(getActivity(), R.id.container, fragment, PokktOutStreamScrollFragment.class.getSimpleName());
    }

    private void openOSWebViewShowcase() {
        PokktOutStreamWebViewFragment fragment = new PokktOutStreamWebViewFragment();
        FragmentTransactionManager.addFragmentWithTag(getActivity(), R.id.container, fragment, PokktOutStreamWebViewFragment.class.getSimpleName());
    }

    private void openOSListViewShowcase() {
        PokktOutStreamListViewFragment fragment = new PokktOutStreamListViewFragment();
        FragmentTransactionManager.addFragmentWithTag(getActivity(), R.id.container, fragment, PokktOutStreamListViewFragment.class.getSimpleName());
    }
}
